## libvirt 10.0.0

=== meson_options.txt ===
option('no_git', type: 'boolean', value: false, description: 'Disable git submodule update')
option('packager', type: 'string', value: '', description: 'Extra packager name')
option('packager_version', type: 'string', value: '', description: 'Extra packager version')
option('system', type: 'boolean', value: false, description: 'Set install paths to system ones')
option('runstatedir', type: 'string', value: '', description: 'State directory for temporary sockets, pid files, etc')
option('initconfdir', type: 'string', value: '', description: 'directory for init script configuration files')
option('expensive_tests', type: 'feature', value: 'auto', description: 'set the default for enabling expensive tests (long timeouts)')
option('test_coverage', type: 'boolean', value: false, description: 'turn on code coverage instrumentation')
option('git_werror', type: 'feature', value: 'auto', description: 'use -Werror if building from GIT')
option('rpath', type: 'feature', value: 'auto', description: 'whether to include rpath information in installed binaries and libraries')
option('docdir', type: 'string', value: '', description: 'documentation installation directory')
option('docs', type: 'feature', value: 'auto', description: 'whether to generate documentation')
option('tests', type: 'feature', value: 'auto', description: 'whether to build and run tests')


# build dependencies options
option('apparmor', type: 'feature', value: 'auto', description: 'apparmor support')
option('attr', type: 'feature', value: 'auto', description: 'attr support')
option('audit', type: 'feature', value: 'auto', description: 'audit support')
option('bash_completion', type: 'feature', value: 'auto', description: 'bash-completion support')
option('bash_completion_dir', type: 'string', value: '', description: 'directory containing bash completion scripts')
option('blkid', type: 'feature', value: 'auto', description: 'blkid support')
option('capng', type: 'feature', value: 'auto', description: 'cap-ng support')
option('curl', type: 'feature', value: 'auto', description: 'curl support')
option('fuse', type: 'feature', value: 'auto', description: 'fuse support')
option('glusterfs', type: 'feature', value: 'auto', description: 'glusterfs support')
option('libiscsi', type: 'feature', value: 'auto', description: 'libiscsi support')
option('libnl', type: 'feature', value: 'auto', description: 'libnl support')
option('libpcap', type: 'feature', value: 'auto', description: 'libpcap support')
option('libssh', type: 'feature', value: 'auto', description: 'libssh support')
option('libssh2', type: 'feature', value: 'auto', description: 'libssh2 support')
option('netcf', type: 'feature', value: 'auto', description: 'netcf support')
option('nls', type: 'feature', value: 'auto', description: 'nls support')
option('numactl', type: 'feature', value: 'auto', description: 'numactl support')
option('openwsman', type: 'feature', value: 'auto', description: 'openwsman support')
option('pciaccess', type: 'feature', value: 'auto', description: 'pciaccess support')
option('polkit', type: 'feature', value: 'auto', description: 'use PolicyKit for UNIX socket access checks')
option('readline', type: 'feature', value: 'auto', description: 'readline support')
option('sanlock', type: 'feature', value: 'auto', description: 'sanlock support')
option('sasl', type: 'feature', value: 'auto', description: 'sasl support')
option('selinux', type: 'feature', value: 'auto', description: 'selinux support')
option('selinux_mount', type: 'string', value: '', description: 'set SELinux mount point')
option('udev', type: 'feature', value: 'auto', description: 'udev support')
option('wireshark_dissector', type: 'feature', value: 'auto', description: 'wireshark support')
option('wireshark_plugindir', type: 'string', value: '', description: 'wireshark plugins directory for use when installing wireshark plugin')
option('yajl', type: 'feature', value: 'auto', description: 'yajl support')


# build driver options
option('driver_bhyve', type: 'feature', value: 'auto', description: 'bhyve driver')
option('driver_esx', type: 'feature', value: 'auto', description: 'esx driver')
option('driver_hyperv', type: 'feature', value: 'auto', description: 'Hyper-V driver')
option('driver_interface', type: 'feature', value: 'auto', description: 'host interface driver')
option('driver_libvirtd', type: 'feature', value: 'auto', description: 'libvirtd driver')
option('driver_libxl', type: 'feature', value: 'auto', description: 'libxenlight driver')
option('driver_lxc', type: 'feature', value: 'auto', description: 'Linux Container driver')
option('driver_ch', type: 'feature', value: 'auto', description: 'Cloud-Hypervisor driver')
option('ch_user', type: 'string', value: '', description: 'username to run Cloud-Hypervisor system instance as')
option('ch_group', type: 'string', value: '', description: 'groupname to run Cloud-Hypervisor system instance as')
option('driver_network', type: 'feature', value: 'auto', description: 'virtual network driver')
option('driver_openvz', type: 'feature', value: 'auto', description: 'OpenVZ driver')
option('driver_qemu', type: 'feature', value: 'auto', description: 'QEMU/KVM driver')
option('qemu_user', type: 'string', value: '', description: 'username to run QEMU system instance as')
option('qemu_group', type: 'string', value: '', description: 'groupname to run QEMU system instance as')
option('qemu_moddir', type: 'string', value: '', description: 'set the directory where QEMU modules are located')
option('qemu_datadir', type: 'string', value: '', description: 'set the directory where QEMU shared data is located')
option('driver_remote', type: 'feature', value: 'auto', description: 'remote driver')
option('remote_default_mode', type: 'combo', choices: ['legacy', 'direct'], value: 'direct', description: 'remote driver default mode')
option('driver_secrets', type: 'feature', value: 'auto', description: 'local secrets management driver')
option('driver_test', type: 'feature', value: 'auto', description: 'test driver')
option('driver_vbox', type: 'feature', value: 'auto', description: 'VirtualBox XPCOMC driver')
option('vbox_xpcomc_dir', type: 'string', value: '', description: 'Location of directory containing VirtualBox XPCOMC library')
option('driver_vmware', type: 'feature', value: 'auto', description: 'VMware driver')
option('driver_vz', type: 'feature', value: 'auto', description: 'Virtuozzo driver')

option('secdriver_apparmor', type: 'feature', value: 'auto', description: 'use AppArmor security driver')
option('apparmor_profiles', type: 'feature', value: 'auto', description: 'install apparmor profiles')
option('secdriver_selinux', type: 'feature', value: 'auto', description: 'use SELinux security driver')


# storage driver options
option('storage_dir', type: 'feature', value: 'auto', description: 'directory backend for the storage driver')
option('storage_disk', type: 'feature', value: 'auto', description: 'GPartd Disk backend for the storage driver')
option('storage_fs', type: 'feature', value: 'auto', description: 'FileSystem backend for the storage driver')
option('storage_gluster', type: 'feature', value: 'auto', description: 'Gluster backend for the storage driver')
option('storage_iscsi', type: 'feature', value: 'auto', description: 'iscsi backend for the storage driver')
option('storage_iscsi_direct', type: 'feature', value: 'auto', description: 'iscsi-direct backend for the storage driver')
option('storage_lvm', type: 'feature', value: 'auto', description: 'LVM backend for the storage driver')
option('storage_mpath', type: 'feature', value: 'auto', description: 'mpath backend for the storage driver')
option('storage_rbd', type: 'feature', value: 'auto', description: 'RADOS Block Device backend for the storage driver')
option('storage_scsi', type: 'feature', value: 'auto', description: 'SCSI backend for the storage driver')
option('storage_vstorage', type: 'feature', value: 'auto', description: 'Virtuozzo storage backend for the storage driver')
option('storage_zfs', type: 'feature', value: 'auto', description: 'ZFS backend for the storage driver')


# build feature options
option('chrdev_lock_files', type: 'string', value: '', description: 'location for UUCP style lock files for character devices (leave empty for default paths on some platforms)')
option('dtrace', type: 'feature', value: 'auto', description: 'use dtrace for static probing')
option('firewalld', type: 'feature', value: 'auto', description: 'firewalld support')
option('firewalld_zone', type: 'feature', value: 'auto', description: 'whether to install firewalld libvirt zone')
option('host_validate', type: 'feature', value: 'auto', description: 'build virt-host-validate')
option('init_script', type: 'combo', choices: ['systemd', 'openrc', 'check', 'none'], value: 'check', description: 'Style of init script to install')
option('loader_nvram', type: 'string', value: '', description: 'Pass list of pairs of <loader>:<nvram> paths. Both pairs and list items are separated by a colon.')
option('login_shell', type: 'feature', value: 'auto', description: 'build virt-login-shell')
option('nss', type: 'feature', value: 'auto', description: 'enable Name Service Switch plugin for resolving guest IP addresses')
option('numad', type: 'feature', value: 'auto', description: 'use numad to manage CPU placement dynamically')
option('nbdkit', type: 'feature', value: 'auto', description: 'Build nbdkit storage backend')
option('nbdkit_config_default', type: 'feature', value: 'auto', description: 'Whether to use nbdkit storage backend for network disks by default (configurable)')
option('pm_utils', type: 'feature', value: 'auto', description: 'use pm-utils for power management')
option('sysctl_config', type: 'feature', value: 'auto', description: 'Whether to install sysctl configs')
option('tls_priority', type: 'string', value: 'NORMAL', description: 'set the default TLS session priority string')

=== debian/changelog ===
libvirt (10.0.0-2ubuntu8.5~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2025 10:43:14 +0000

libvirt (10.0.0-2ubuntu8.5) noble; urgency=medium

  - d/p/u/lp-2051754-*.patch: Refresh patches against accepted
    upstream version.  This should not have any visible user changes.
  - d/p/u/lp-2071848-fix-migration-with-disabled-vmx-features.patch:
    Refresh patch.
  - d/p/u/lp-2083986-*.patch: Backport upstream patches to fix issues
    with domain migrations between two nested VMs due to mismatched
    check of CPU features. (LP: #2083986)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 25 Nov 2024 21:02:52 -0500

libvirt (10.0.0-2ubuntu8.4) noble; urgency=medium

  * d/p/u/lp-2072647-log_cleaner-Detect-rotated-filenames-properly.patch:
    Fix virtlogd bug "internal error: Failed to parse rotated index", this
    happens when max_age_days parameter is enabled. (LP: #2072647)

 -- David Negreira <david.negreira@canonical.com>  Wed, 10 Jul 2024 13:23:06 +0000

libvirt (10.0.0-2ubuntu8.3) noble; urgency=medium

  * d/p/u/lp-2071848-fix-migration-with-disabled-vmx-features.patch:
    Fix migration issues with disabled vmx-* CPU features. (LP: #2071848)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 05 Jul 2024 14:48:04 -0400

libvirt (10.0.0-2ubuntu8.2) noble-security; urgency=medium

  * SECURITY UPDATE: stack use-after-free in virNetClientIOEventLoop()
    - debian/patches/CVE-2024-4418.patch: ensure temporary GSource is
      removed from client event loop in src/rpc/virnetclient.c.
    - CVE-2024-4418

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 May 2024 09:12:37 -0400

libvirt (10.0.0-2ubuntu8.1) noble-security; urgency=medium

  * SECURITY UPDATE: off-by-one in udevListInterfacesByStatus()
    - debian/patches/CVE-2024-1441.patch: properly check count in
      src/interface/interface_backend_udev.c.
    - CVE-2024-1441
  * SECURITY UPDATE: crash in RPC library
    - debian/patches/CVE-2024-2494.patch: check values in
      src/remote/remote_daemon_dispatch.c, src/rpc/gendispatch.pl.
    - CVE-2024-2494

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Apr 2024 11:42:32 -0400

libvirt (10.0.0-2ubuntu8) noble; urgency=medium

  * Rebuild against new libpcap0.8t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 10:17:16 +0200

libvirt (10.0.0-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:19:57 +0000

libvirt (10.0.0-2ubuntu6) noble; urgency=medium

  * d/p/u/lp-2051754-*.patch: Backport upstream fix for LP: #2051754.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 19 Mar 2024 22:22:12 -0400

libvirt (10.0.0-2ubuntu5) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:06:57 +0000

libvirt (10.0.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:06:29 +0000

libvirt (10.0.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:08:29 +0000

libvirt (10.0.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:26:53 +0000

libvirt (10.0.0-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054479). Remaining changes:
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-system.postinst: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-system.postinst: add libvirt-dnsmasq user and group
      + d/libvirt-daemon-system.postrm: remove libvirt-dnsmasq user and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config


=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Andrea Bolognani <eof@kiyuko.org>,
Build-Depends:
 augeas-tools [linux-any],
 bash-completion,
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 iptables [linux-any],
 kmod [linux-any],
 libacl1-dev [linux-any],
 libapparmor-dev [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libblkid-dev [linux-any],
 libc6-dev,
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev [linux-any],
 libdevmapper-dev [linux-any],
 libfuse3-dev [linux-any],
 libglib2.0-dev,
 libglusterfs-dev [amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libgnutls28-dev,
 libiscsi-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev [linux-any],
 libpcap0.8-dev [linux-any],
 libpciaccess-dev [linux-any],
 librados-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 librbd-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libssh-dev,
 libtasn1-6-dev,
 libtirpc-dev,
 libudev-dev [linux-any],
 libwireshark-dev [linux-any],
 libxen-dev [amd64 arm64 armhf],
 libxml2-dev,
 libxml2-utils,
 libyajl-dev [linux-any],
 libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
 lvm2 [linux-any],
 meson,
 mount [linux-any],
 nfs-common [linux-any],
 numad [linux-any],
 open-iscsi [linux-any],
 po-debconf,
 python3-docutils,
 python3,
 qemu-utils [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 systemtap-sdt-dev [linux-any],
 xsltproc,
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt0 (= ${binary:Version}),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-clients-qemu (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-login-shell (= ${binary:Version}),
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
 libvirt-daemon-driver-qemu (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-clients-qemu
Section: admin
Architecture: all
Depends:
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 python3-cryptography,
 python3-libvirt,
 python3-lxml,
 python3:any,
 ${misc:Depends},
Description: Programs for the libvirt library (QEMU specific)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the QEMU-specific client binaries.

Package: libvirt-login-shell
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends:
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-clients (<< 6.9.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
Description: Isolate user sessions using LXC containers
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the virt-login-shell tool, which can be set as a user's
 login shell to isolate their sessions using LXC containers.

Package: libvirt-daemon
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon-driver-qemu (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libxml2-utils,
 lvm2,
 mount,
 netcat-openbsd,
 qemu-kvm | qemu-system,
Suggests:
 libvirt-daemon-driver-storage-gluster (= ${binary:Version}),
 libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
 libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
 libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
 libvirt-daemon-driver-lxc (= ${binary:Version}),
 libvirt-daemon-driver-vbox (= ${binary:Version}),
 libvirt-daemon-driver-xen (= ${binary:Version}),
 libvirt-daemon-system (= ${binary:Version}),
 numad,
Enhances:
 qemu-kvm,
 qemu-system,
 xen,
Breaks:
 libvirt-clients (<< 6.9.0-2~),
 libvirt-daemon-driver-lxc (<< 6.9.0-2~),
 libvirt-daemon-system (<< 6.9.0-3~),
 libvirt-sanlock (<< 6.9.0-2~),
Replaces:
 libvirt-daemon-system (<< 6.9.0-3~),
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
Multi-Arch: no
Depends:
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-clients (<< 6.9.0-2~),
Replaces:
 libvirt-clients (<< 6.9.0-2~),
Recommends:
 swtpm,
 swtpm-tools,
Suggests:
 passt,
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.9.0-2~),
Replaces:
 libvirt-daemon (<< 6.9.0-2~),
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

Package: libvirt-daemon-driver-vbox
Section: admin
Architecture: amd64 i386
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtualization daemon VirtualBox connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for VirtualBox.

Package: libvirt-daemon-driver-xen
Section: admin
Architecture: amd64 arm64 armhf
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtualization daemon Xen connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for Xen.

Package: libvirt-daemon-driver-storage-gluster
Section: admin
Architecture: amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-iscsi-direct
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 qemu-block-extra,
Description: Virtualization daemon iSCSI (libiscsi) storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains a libvirtd storage driver for iSCSI volumes implemented
 using libiscsi.

Package: libvirt-daemon-driver-storage-rbd
Section: admin
Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-zfs
Section: admin
Architecture: linux-any
Multi-Arch: no
Depends:
 libvirt-daemon (= ${binary:Version}),
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Section: admin
Architecture: linux-any
Depends:
 adduser,
 gettext-base,
 iptables | firewalld,
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-config-network (= ${source:Version}),
 libvirt-daemon-config-nwfilter (= ${source:Version}),
 libvirt-daemon-system-systemd (= ${source:Version}) | libvirt-daemon-system-sysv (= ${source:Version}),
 libvirt0 (<< ${source:Version}.1~),
 libvirt0 (>= ${source:Version}),
 logrotate,
 polkitd (>= 0.105-33),
 ${misc:Depends},
Recommends:
 dmidecode,
 dnsmasq-base,
 iproute2,
 mdevctl,
 parted,
Suggests:
 apparmor,
 auditd,
 nfs-common,
 open-iscsi,

=== debian/rules ===
#!/usr/bin/make -f

NULL =

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# If the build environment sets -Bsymbolic-functions, which is often used as
# hardening option, that would break libvirt build time self-testing.
# Therefore let dpkg-buildflag strip that option if present.
DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Fail if the symbols file contains certain mistakes
DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export DPKG_GENSYMBOLS_CHECK_LEVEL

ARCHES_CEPH = amd64 arm64 mips64el ppc64el riscv64 s390x
ARCHES_GLUSTER = amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64
ARCHES_QEMU = amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
ARCHES_XEN  = amd64 arm64 armhf
ARCHES_VBOX = amd64 i386

# Keep this list empty until we have AppArmor support
ARCHES_NBDKIT =

ifeq ($(DEB_HOST_ARCH_OS), linux)
    WITH_DAEMONS              = -Ddriver_libvirtd=enabled -Dhost_validate=enabled
    WITH_ESX                  = -Ddriver_esx=enabled -Dcurl=enabled
    WITH_VMWARE               = -Ddriver_vmware=enabled
    WITH_STORAGE_FS           = -Dstorage_fs=enabled
    WITH_STORAGE_DIR          = -Dstorage_dir=enabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=enabled
    WITH_STORAGE_SCSI         = -Dstorage_scsi=enabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=enabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=enabled -Dlibiscsi=enabled
    WITH_STORAGE_DISK         = -Dstorage_disk=enabled
    WITH_STORAGE_MPATH        = -Dstorage_mpath=enabled
    WITH_STORAGE_ZFS          = -Dstorage_zfs=enabled
    WITH_BLKID                = -Dblkid=enabled
    WITH_FUSE                 = -Dfuse=enabled
    WITH_UDEV                 = -Dudev=enabled -Dpciaccess=enabled
    WITH_CAPNG                = -Dcapng=enabled
    WITH_LIBNL                = -Dlibnl=enabled
    WITH_NETWORK              = -Ddriver_network=enabled
    WITH_INTERFACE            = -Ddriver_interface=enabled
    WITH_SECRETS              = -Ddriver_secrets=enabled
    WITH_OPENVZ               = -Ddriver_openvz=enabled
    WITH_YAJL                 = -Dyajl=enabled
    WITH_POLKIT               = -Dpolkit=enabled
    WITH_SANLOCK              = -Dsanlock=enabled
    WITH_INIT_SCRIPT          = -Dinit_script=systemd
    WITH_FIREWALLD            = -Dfirewalld=enabled
    WITH_ATTR                 = -Dattr=enabled
    WITH_AUDIT                = -Daudit=enabled
    WITH_LIBPCAP              = -Dlibpcap=enabled
    WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
    WITH_NSS_PLUGIN           = -Dnss=enabled
    WITH_DTRACE               = -Ddtrace=enabled
    WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
    WITH_SYSCTL               = -Dsysctl_config=enabled
    WITH_WIRESHARK            = -Dwireshark_dissector=enabled
else
    WITH_DAEMONS              = -Ddriver_libvirtd=disabled -Dhost_validate=disabled
    WITH_ESX                  = -Ddriver_esx=disabled -Dcurl=disabled
    WITH_VMWARE               = -Ddriver_vmware=disabled
    WITH_STORAGE_FS           = -Dstorage_fs=disabled
    WITH_STORAGE_DIR          = -Dstorage_dir=disabled
    WITH_STORAGE_LVM          = -Dstorage_lvm=disabled
    WITH_STORAGE_SCSI         = -Dstorage_scsi=disabled
    WITH_STORAGE_ISCSI        = -Dstorage_iscsi=disabled
    WITH_STORAGE_ISCSI_DIRECT = -Dstorage_iscsi_direct=disabled -Dlibiscsi=disabled
    WITH_STORAGE_DISK         = -Dstorage_disk=disabled
    WITH_STORAGE_MPATH        = -Dstorage_mpath=enabled
    WITH_STORAGE_ZFS          = -Dstorage_zfs=disabled
    WITH_BLKID                = -Dblkid=disabled
    WITH_FUSE                 = -Dfuse=disabled
    WITH_UDEV                 = -Dudev=disabled -Dpciaccess=disabled
    WITH_CAPNG                = -Dcapng=disabled
    WITH_LIBNL                = -Dlibnl=disabled
    WITH_NETWORK              = -Ddriver_network=disabled
    WITH_INTERFACE            = -Ddriver_interface=disabled
    WITH_SECRETS              = -Ddriver_secrets=disabled
    WITH_OPENVZ               = -Ddriver_openvz=disabled
    WITH_POLKIT               = -Dpolkit=disabled
    WITH_YAJL                 = -Dyajl=disabled
    WITH_SANLOCK              = -Dsanlock=disabled
    WITH_INIT_SCRIPT          = -Dinit_script=none
    WITH_FIREWALLD            = -Dfirewalld=disabled
    WITH_ATTR                 = -Dattr=disabled
    WITH_AUDIT                = -Daudit=disabled
    WITH_LIBPCAP              = -Dlibpcap=disabled
    WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
    WITH_NSS_PLUGIN           = -Dnss=disabled
    WITH_DTRACE               = -Ddtrace=disabled
    WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
    WITH_SYSCTL               = -Dsysctl_config=disabled
    WITH_WIRESHARK            = -Dwireshark_dissector=disabled
endif

ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_CEPH)))
    WITH_STORAGE_RBD          = -Dstorage_rbd=enabled
else
    WITH_STORAGE_RBD          = -Dstorage_rbd=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_GLUSTER)))
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=enabled -Dglusterfs=enabled
else
    WITH_STORAGE_GLUSTER      = -Dstorage_gluster=disabled -Dglusterfs=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_QEMU)))
    WITH_QEMU                 = -Ddriver_qemu=enabled
else
    WITH_QEMU                 = -Ddriver_qemu=disabled
endif
ifneq (,$(findstring $(DEB_HOST_ARCH), $(ARCHES_LXC)))
    WITH_LXC                  = -Ddriver_lxc=enabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=enabled
else
    WITH_LXC                  = -Ddriver_lxc=disabled
    WITH_LOGIN_SHELL          = -Dlogin_shell=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_XEN)))
    WITH_LIBXL                = -Ddriver_libxl=enabled
else
    WITH_LIBXL                = -Ddriver_libxl=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_VBOX)))
    WITH_VBOX                 = -Ddriver_vbox=enabled
else
    WITH_VBOX                 = -Ddriver_vbox=disabled
endif
ifneq (,$(filter $(DEB_HOST_ARCH), $(ARCHES_NBDKIT)))
    WITH_NBDKIT               = -Dnbdkit=enabled -Dnbdkit_config_default=enabled
else
    WITH_NBDKIT               = -Dnbdkit=disabled -Dnbdkit_config_default=disabled
endif

DEB_CONFIGURE_EXTRA_ARGS := \
    --libexecdir=/usr/lib/libvirt \
    -Drunstatedir=/run \
    -Dinitconfdir=/etc/default \
    -Dno_git=true \
    -Dpackager="$(DEB_VENDOR)" \
    -Dpackager_version="$(DEB_VERSION)" \
    $(WITH_DAEMONS) \
    $(WITH_QEMU) \
    -Ddriver_remote=enabled \
    -Dremote_default_mode=legacy \
    -Ddriver_test=enabled \
    -Ddriver_ch=disabled \
    -Ddriver_bhyve=disabled \
    -Ddriver_hyperv=disabled \
    -Dopenwsman=disabled \
    -Ddriver_vz=disabled \
    -Dqemu_user=libvirt-qemu \
    -Dqemu_group=kvm \
    -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
    -Dqemu_datadir=/usr/share/qemu \
    -Ddocs=enabled \
    -Ddocdir=/usr/share/doc/libvirt \
    -Dtests=enabled \
    -Drpath=disabled \
    -Dnls=enabled \
    -Dtls_priority=NORMAL \
    $(WITH_OPENVZ) \
    -Dsasl=enabled \
    -Dlibssh2=disabled \
    -Dlibssh=enabled \
    -Dreadline=enabled \
    -Dbash_completion=enabled \
    -Dbash_completion_dir=/usr/share/bash-completion/completions \
    $(WITH_YAJL) \
    $(WITH_POLKIT) \
    $(WITH_SANLOCK) \
    $(WITH_UDEV) \
    $(WITH_STORAGE_FS) \
    $(WITH_STORAGE_DIR) \
    $(WITH_STORAGE_LVM) \
    $(WITH_STORAGE_SCSI) \
    $(WITH_STORAGE_ISCSI) \
    $(WITH_STORAGE_ISCSI_DIRECT) \

## libvirt 10.4.0

=== debian/changelog ===
libvirt (10.4.0-1) unstable; urgency=medium

  * [7ed6608] New upstream version 10.4.0
  * [d8acf23] patches: Drop backports

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 04 Jun 2024 00:19:48 +0200

libvirt (10.3.0-3) unstable; urgency=medium

  * [aa7ed20] patches: Add backport/tests-fix-hang-in-virshtest[...]
    - Fixes FTBFS

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 09 May 2024 00:03:19 +0200

libvirt (10.3.0-2) unstable; urgency=medium

  * [13f1f61] patches: Add backport/vsh-Don-t-init-history[...]
    - Fixes FTBFS (Closes: #1070498)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 07 May 2024 00:04:24 +0200

libvirt (10.3.0-1) unstable; urgency=medium

  * [7845089] New upstream version 10.3.0
  * [be65bee] patches: Add backport/rpc-ensure-temporary-GSource[...]
    - Fixes CVE-2024-4418 (Closes: #1070330)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 04 May 2024 00:16:21 +0200

libvirt (10.2.0-1) unstable; urgency=medium

  * [c1118d1] New upstream version 10.2.0
    - Fixes CVE-2024-2494 (Closes: #1067461)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 02 Apr 2024 23:42:38 +0200

libvirt (10.1.0-1) unstable; urgency=medium

  * [517918e] New upstream version 10.1.0
    - Fixes CVE-2024-1441 (Closes: #1066058)
  * [84128fe] patches: Drop backports

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 20 Mar 2024 00:18:12 +0100

libvirt (10.0.0-3) experimental; urgency=medium

  * [e31fc9e] control: Recommend pkgconf instead of pkg-config
  * [fd2edf5] templates: Convert some files to templates
    - Some of the packaging files are now maintained as templates,
      where values are dynamically injected at build time. See
      debian/README.source for additional information
  * [ff0974e] control: Improve driver-specific package relationships
    - Ensure installability on architectures where the QEMU
      driver has been intentionally disabled

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 21 Feb 2024 23:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -11,14 +10,13 @@
  bash-completion,
  debhelper-compat (= 13),
  dh-apparmor [linux-any],
- iptables [linux-any],
  kmod [linux-any],
  libacl1-dev [linux-any],
- libapparmor-dev [linux-any],
+ libapparmor-dev (>= 3.0.0) [linux-any],
  libattr1-dev [linux-any],
  libaudit-dev [linux-any],
  libblkid-dev [linux-any],
- libc6-dev,
+ libc-dev (>= 2.31-14~),
  libcap-ng-dev [linux-any],
  libcurl4-gnutls-dev [linux-any],
  libdevmapper-dev [linux-any],
@@ -40,6 +38,7 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
+ libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -48,16 +47,15 @@
  libxml2-dev,
  libxml2-utils,
  libyajl-dev [linux-any],
- libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  lvm2 [linux-any],
  meson,
  mount [linux-any],
- nfs-common [linux-any],
- numad [linux-any],
+ nfs-common:native [linux-any],
+ numad:native [linux-any],
  open-iscsi [linux-any],
  po-debconf,
  python3-docutils,
- python3,
+ python3:native,
  qemu-utils [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  systemtap-sdt-dev [linux-any],
  xsltproc,
@@ -76,9 +74,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- libvirt-clients-qemu (= ${binary:Version}),
- libvirt-daemon (= ${binary:Version}),
- libvirt-login-shell (= ${binary:Version}),
+ libvirt-clients-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libvirt-daemon (= ${binary:Version}),
+ libvirt-login-shell (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
 Breaks:
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-driver-qemu (<< 6.9.0-2~),
@@ -137,24 +135,24 @@
 Section: admin
 Architecture: linux-any
 Depends:
- libvirt-daemon-driver-qemu (= ${binary:Version}),
+ libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libvirt0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ libvirt-daemon-driver-lxc (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
+ libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
+ libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64 armhf],
  libxml2-utils,
  lvm2,
  mount,
  netcat-openbsd,
  qemu-kvm | qemu-system,
 Suggests:
- libvirt-daemon-driver-storage-gluster (= ${binary:Version}),
+ libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
  libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
- libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
+ libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 mips64el ppc64el riscv64 s390x],
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
- libvirt-daemon-driver-lxc (= ${binary:Version}),
- libvirt-daemon-driver-vbox (= ${binary:Version}),
- libvirt-daemon-driver-xen (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
  numad,
 Enhances:
@@ -189,10 +187,9 @@
 Replaces:
  libvirt-clients (<< 6.9.0-2~),
 Recommends:
+ passt,
  swtpm,
  swtpm-tools,
-Suggests:
- passt,
 Description: Virtualization daemon QEMU connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -337,21 +334,3 @@
  libvirt-clients (= ${binary:Version}),
  libvirt-daemon (= ${binary:Version}),
  libvirt-daemon-config-network (= ${source:Version}),
- libvirt-daemon-config-nwfilter (= ${source:Version}),
- libvirt-daemon-system-systemd (= ${source:Version}) | libvirt-daemon-system-sysv (= ${source:Version}),
- libvirt0 (<< ${source:Version}.1~),
- libvirt0 (>= ${source:Version}),
- logrotate,
- polkitd (>= 0.105-33),
- ${misc:Depends},
-Recommends:
- dmidecode,
- dnsmasq-base,
- iproute2,
- mdevctl,
- parted,
-Suggests:
- apparmor,
- auditd,
- nfs-common,
- open-iscsi,

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,7 @@
 DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 export DPKG_GENSYMBOLS_CHECK_LEVEL
 
-ARCHES_CEPH = amd64 arm64 mips64el ppc64el riscv64 s390x
-ARCHES_GLUSTER = amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64
-ARCHES_QEMU = amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
-ARCHES_XEN  = amd64 arm64 armhf
-ARCHES_VBOX = amd64 i386
-
-# Keep this list empty until we have AppArmor support
-ARCHES_NBDKIT =
+include debian/arches.mk
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
     WITH_DAEMONS              = -Ddriver_libvirtd=enabled -Dhost_validate=enabled
@@ -44,7 +36,7 @@
     WITH_UDEV                 = -Dudev=enabled -Dpciaccess=enabled
     WITH_CAPNG                = -Dcapng=enabled
     WITH_LIBNL                = -Dlibnl=enabled
-    WITH_NETWORK              = -Ddriver_network=enabled
+    WITH_NETWORK              = -Ddriver_network=enabled -Dfirewall_backend_priority=iptables,nftables
     WITH_INTERFACE            = -Ddriver_interface=enabled
     WITH_SECRETS              = -Ddriver_secrets=enabled
     WITH_OPENVZ               = -Ddriver_openvz=enabled
@@ -61,7 +53,7 @@
     WITH_NSS_PLUGIN           = -Dnss=enabled
     WITH_DTRACE               = -Ddtrace=enabled
     WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
-    WITH_SYSCTL               = -Dsysctl_config=enabled
+    WITH_SYSCTL               = -Dsysctl_config=enabled -Duserfaultfd_sysctl=enabled
     WITH_WIRESHARK            = -Dwireshark_dissector=enabled
 else
     WITH_DAEMONS              = -Ddriver_libvirtd=disabled -Dhost_validate=disabled
@@ -81,7 +73,7 @@
     WITH_UDEV                 = -Dudev=disabled -Dpciaccess=disabled
     WITH_CAPNG                = -Dcapng=disabled
     WITH_LIBNL                = -Dlibnl=disabled
-    WITH_NETWORK              = -Ddriver_network=disabled
+    WITH_NETWORK              = -Ddriver_network=disabled -Dfirewall_backend_priority=iptables,nftables
     WITH_INTERFACE            = -Ddriver_interface=disabled
     WITH_SECRETS              = -Ddriver_secrets=disabled
     WITH_OPENVZ               = -Ddriver_openvz=disabled
@@ -98,7 +90,7 @@
     WITH_NSS_PLUGIN           = -Dnss=disabled
     WITH_DTRACE               = -Ddtrace=disabled
     WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
-    WITH_SYSCTL               = -Dsysctl_config=disabled
+    WITH_SYSCTL               = -Dsysctl_config=disabled -Duserfaultfd_sysctl=disabled
     WITH_WIRESHARK            = -Dwireshark_dissector=disabled
 endif
 
@@ -144,6 +136,7 @@
     --libexecdir=/usr/lib/libvirt \
     -Drunstatedir=/run \
     -Dinitconfdir=/etc/default \
+    -Dsshconfdir=/etc/ssh/ssh_config.d \
     -Dno_git=true \
     -Dpackager="$(DEB_VENDOR)" \
     -Dpackager_version="$(DEB_VERSION)" \
@@ -151,6 +144,7 @@
     $(WITH_QEMU) \
     -Ddriver_remote=enabled \
     -Dremote_default_mode=legacy \
+    -Dssh_proxy=disabled \
     -Ddriver_test=enabled \
     -Ddriver_ch=disabled \
     -Ddriver_bhyve=disabled \
@@ -158,7 +152,7 @@
     -Dopenwsman=disabled \
     -Ddriver_vz=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=kvm \
+    -Dqemu_group=libvirt-qemu \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Dqemu_datadir=/usr/share/qemu \
     -Ddocs=enabled \
@@ -169,7 +163,7 @@
     -Dtls_priority=NORMAL \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
-    -Dlibssh2=disabled \
+    -Dlibssh2=enabled \
     -Dlibssh=enabled \
     -Dreadline=enabled \
     -Dbash_completion=enabled \
@@ -184,3 +178,13 @@
     $(WITH_STORAGE_SCSI) \
     $(WITH_STORAGE_ISCSI) \
     $(WITH_STORAGE_ISCSI_DIRECT) \
+    $(WITH_STORAGE_DISK) \
+    $(WITH_STORAGE_RBD) \
+    $(WITH_STORAGE_GLUSTER) \
+    $(WITH_STORAGE_MPATH) \
+    $(WITH_STORAGE_ZFS) \
+    -Dstorage_vstorage=disabled \
+    $(WITH_BLKID) \
+    $(WITH_FUSE) \
+    $(WITH_INIT_SCRIPT) \
+    $(WITH_NUMA) \

## libvirt 10.5.0

=== debian/changelog ===
libvirt (10.5.0-1) unstable; urgency=medium

  * [a8c62f5] New upstream version 10.5.0
    - Fixes qemu:///session (Closes: #1072723, #1072769)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 04 Jul 2024 00:44:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -137,6 +137,8 @@
     -Drunstatedir=/run \
     -Dinitconfdir=/etc/default \
     -Dsshconfdir=/etc/ssh/ssh_config.d \
+    -Dunitdir=/usr/lib/systemd/system \
+    -Dsysusersdir=/usr/lib/sysusers.d \
     -Dno_git=true \
     -Dpackager="$(DEB_VENDOR)" \
     -Dpackager_version="$(DEB_VERSION)" \
@@ -184,7 +186,3 @@
     $(WITH_STORAGE_MPATH) \
     $(WITH_STORAGE_ZFS) \
     -Dstorage_vstorage=disabled \
-    $(WITH_BLKID) \
-    $(WITH_FUSE) \
-    $(WITH_INIT_SCRIPT) \
-    $(WITH_NUMA) \
